#pragma once
#include <string>
using std::string;
namespace engineapi
{
	class RenderAPI;
	class Window;
	class App {
	public:
		RenderAPI* _RenderAPI{nullptr};
		Window* _Window{ nullptr };
	public:
		App(const string& path);
		~App();
		void Launch();
	public:
		void Update();
		void Render();
	};
}